<div class="ibox-form-container mb-0">

  <div *ngIf="hideTitle" class="ibox-title">
    <div class="ibox-title-child" style="display: inline-block">{{"ACCOUNT_DETAILS.INCIDENT.TITLE2"|translate}}</div>
  </div>

  <form class="ibox-filter p-4 mt-2" [formGroup]="incidentForm" (ngSubmit)="onSubmit()" autocomplete="off">

    <div class="row">
      <div class="col-sm-6">
        <select class="form-control form-control-sm" formControlName="type">
          <option [ngValue]="''" selected disabled>{{'FIELD.INCIDENT.TYPE'|translate}}</option>
          <option [ngValue]="item?.code" *ngFor="let item of typeTicketsList">{{item?.value}}</option>
        </select>
        <div *ngIf="incidentForm.get('type').invalid && showValidationsMsg">
          <div *ngIf="incidentForm.get('type').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2">
        <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.INCIDENT.CODE'|translate"
               formControlName="code" disabled>
        <div *ngIf="incidentForm.get('code').invalid && showValidationsMsg">
          <div *ngIf="incidentForm.get('code').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-6">
        <select class="form-control form-control-sm" formControlName="origine">
          <option [ngValue]="''" selected disabled>{{'FIELD.INCIDENT.ORIGINE'|translate}}</option>
          <option [ngValue]="item?.code" *ngFor="let item of originesList">{{item?.value}}</option>
        </select>
        <div *ngIf="incidentForm.get('origine').invalid && showValidationsMsg">
          <div *ngIf="incidentForm.get('origine').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2">
        <input type="text" class="form-control form-control-sm" formControlName="affectation"
               maxlength="24" [placeholder]="'FIELD.INCIDENT.AFFECTATION'|translate">
        <div *ngIf="incidentForm.get('affectation').invalid && showValidationsMsg">
          <div *ngIf="incidentForm.get('affectation').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <ng-container *ngIf="!incidentData?.accountCode">
      <div class="row mt-2 mt-sm-4">
        <div class="col-sm-6">
          <ngx-select [items]="accountTypeList" [optionValueField]="'code'" [optionTextField]="'label'"
                      formControlName="accountType" [placeholder]="'FIELD.INCIDENT.ACCOUNT_TYPE'|translate" size='small'
                      [ngClass]="{'disabled': incidentForm?.get('accountType').disabled}"></ngx-select>
          <div *ngIf="incidentForm?.get('accountType').invalid && showValidationsMsg">
            <div *ngIf="incidentForm?.get('accountType').errors.required" class="text-danger">
              <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
            </div>
          </div>
        </div>

        <div class="col-sm-6 mt-sm-0 mt-2">
          <ngx-select [items]="incidentForm?.get('accountType').value === 'PP' ? accountPPList : incidentForm?.get('accountType').value === 'PM' ? accountPMList : null"
                      [optionValueField]="'code'" [optionTextField]="'description'" formControlName="compte"
                      [placeholder]="'FIELD.ACTIVITY.COMPTE'|translate" size='small'
                      [ngClass]="{'disabled': incidentForm?.get('compte').disabled}">
          </ngx-select>
          <div *ngIf="incidentForm.get('compte').invalid && showValidationsMsg">
            <div *ngIf="incidentForm.get('compte').errors.required" class="text-danger">
              <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
            </div>
          </div>
        </div>
      </div>
    </ng-container>




    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-6">
        <select class="form-control form-control-sm" formControlName="priorite">
          <option [ngValue]="''" selected disabled>{{'FIELD.INCIDENT.PRIORITE'|translate}}</option>
          <option [ngValue]="item?.value?.toUpperCase()" *ngFor="let item of prioritesList">{{item?.value}}</option>
        </select>
        <div *ngIf="incidentForm.get('priorite').invalid && showValidationsMsg">
          <div *ngIf="incidentForm.get('priorite').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>

      <ng-container *ngIf="incidentData?.accountCode">
        <div class="col-sm-6 mt-sm-0 mt-2">
          <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.INCIDENT.COMPTE'|translate"
                 formControlName="compte" disabled>
          <div *ngIf="incidentForm.get('compte').invalid && showValidationsMsg">
            <div *ngIf="incidentForm.get('compte').errors.required" class="text-danger">
              <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
            </div>
          </div>
        </div>
      </ng-container>
    </div>

    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-6">
        <select class="form-control form-control-sm" formControlName="contact">
          <option [ngValue]="''" selected disabled>{{'FIELD.INCIDENT.CONTACT'|translate}}</option>
          <option [ngValue]="item?.codeContact" *ngFor="let item of contactsList">{{item?.codeContact}}</option>
        </select>
        <div *ngIf="incidentForm.get('contact').invalid && showValidationsMsg">
          <div *ngIf="incidentForm.get('contact').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2">
        <ngx-select
          [items]="statusList"
          [optionValueField]="'code'"
          [optionTextField]="'value'"
          formControlName="statut"
          [placeholder]="'FIELD.INCIDENT.STATUS'|translate"
          size='small'
          ngDefaultControl>
        </ngx-select>
        <div *ngIf="incidentForm.get('statut').invalid && showValidationsMsg">
          <div *ngIf="incidentForm.get('statut').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-6">
        <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.INCIDENT.DATE_DECLARATION'|translate"
               formControlName="dateDeclaration" disabled>
        <div *ngIf="incidentForm.get('dateDeclaration').invalid && showValidationsMsg">
          <div *ngIf="incidentForm.get('dateDeclaration').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2">
        <input type="text" class="form-control form-control-sm" [placeholder]="'FIELD.INCIDENT.DATE_MAJ'|translate"
               formControlName="dateMaj" disabled>
        <div *ngIf="incidentForm.get('dateMaj').invalid && showValidationsMsg">
          <div *ngIf="incidentForm.get('dateMaj').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-12">
          <textarea rows="1" type="text" class="form-control form-control-sm" [placeholder]="'FIELD.INCIDENT.OBJET'|translate"
                    formControlName="objet"></textarea>
        <div *ngIf="incidentForm.get('objet').invalid && showValidationsMsg">
          <div *ngIf="incidentForm.get('objet').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-12">
          <textarea rows="3" type="text" class="form-control form-control-sm" formControlName="description"
                    [placeholder]="'FIELD.INCIDENT.DESCRIPTION'|translate"></textarea>
        <div *ngIf="incidentForm.get('description').invalid && showValidationsMsg">
          <div *ngIf="incidentForm.get('description').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-12">
          <app-attachment-form></app-attachment-form>
      </div>
    </div>

    <div class="row">
      <div class="col">
        <div class="float-right mt-2">
          <button type="button" class="reset-button btn btn-sm mr-2" [title]="'FIELD.BUTTONS.RESET'|translate"
                  (click)="initIncidentForm()">
            <i class="ri-arrow-go-back-line"></i>
          </button>
          <button [disabled]="loading" type="submit" class="submit-button btn btn-sm" [title]="'FIELD.BUTTONS.SAVE'|translate">
            <i class="ri-save-2-line"></i>
          </button>
        </div>
      </div>
    </div>

  </form>

</div>
